Package ec.util

# Class Version

java.lang.Object
ec.util.Version

public class Version extends Object
Version is a static class which stores version information for this evolutionary computation system.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `author`
  `static final String`
  `authorEmail0`
  `static final String`
  `authorEmail1`
  `static final String`
  `authorEmail2`
  `static final String`
  `authorURL`
  `static final String`
  `contributors`
  `static final String`
  `contributors2`
  `static final String`
  `contributors3`
  `static final String`
  `contributors4`
  `static final String`
  `contributors5`
  `static final String`
  `contributors6`
  `static final String`
  `contributors7`
  `static final String`
  `copyright`
  `static final String`
  `date`
  `static final String`
  `minimumJavaVersion`
  `static final String`
  `name`
  `static final String`
  `version`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Version()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `message()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    public static final String name
    See Also:
      - Constant Field Values

  - ### version

    public static final String version
    See Also:
      - Constant Field Values

  - ### copyright

    public static final String copyright
    See Also:
      - Constant Field Values

  - ### author

    public static final String author
    See Also:
      - Constant Field Values

  - ### contributors

    public static final String contributors
    See Also:
      - Constant Field Values

  - ### contributors2

    public static final String contributors2
    See Also:
      - Constant Field Values

  - ### contributors3

    public static final String contributors3
    See Also:
      - Constant Field Values

  - ### contributors4

    public static final String contributors4
    See Also:
      - Constant Field Values

  - ### contributors5

    public static final String contributors5
    See Also:
      - Constant Field Values

  - ### contributors6

    public static final String contributors6
    See Also:
      - Constant Field Values

  - ### contributors7

    public static final String contributors7
    See Also:
      - Constant Field Values

  - ### authorEmail0

    public static final String authorEmail0
    See Also:
      - Constant Field Values

  - ### authorEmail1

    public static final String authorEmail1
    See Also:
      - Constant Field Values

  - ### authorEmail2

    public static final String authorEmail2
    See Also:
      - Constant Field Values

  - ### authorURL

    public static final String authorURL
    See Also:
      - Constant Field Values

  - ### date

    public static final String date
    See Also:
      - Constant Field Values

  - ### minimumJavaVersion

    public static final String minimumJavaVersion
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Version

    public Version()

- ## Method Details

  - ### message

    public static final String message()